Hook is invalid
17 Dec 2013 23:33 - Alex Stout

Status: In Progress Start date: 17 Dec 2013
Priority: Normal Due date:

Assignee: Andriy Lesyuk % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Redmine version: 2.3.3 External issue:

Description

| tried to follow the tutorial for adding a new placeholder/hook given here. | decided to just follow the path of editing the Hooks
Manager plugin files rather than creating my own plugin (yes, | understand the consequences and | have the files backed up).

| successfully added the hook to where | can see it in the hooks manager plugin configuration on the web client as administrator. But
trying to add any content to the hook results in a “Hook is invalid” error (see attached). The hook I'm trying to add is one that goes
beneath the right column hook for the project overview view. | can’t figure out what (if anything) I did wrong.

What results in the “Hook is invalid” error? If any additional info is needed, | will provide.

Thanks.

History

#1 - 10 Jun 2014 09:24 - Andriy Lesyuk
- Tracker changed from Bug to Support

- Status changed from New to Open

#2 - 10 Jun 2014 09:28 - Andriy Lesyuk

- Status changed from Open to In Progress
- Assignee set to Andriy Lesyuk

The problem is in “_1” (number)! Currently the hook name must consist of latin letters only (to be descriptive).
